Module | Sequel::Plugins::OptimisticLocking::InstanceMethods
In: | lib/sequel/plugins/optimistic_locking.rb

### Methods

before_destroy before_update

### Public Instance methods

before_destroy()

Add the lock column instance filter to the object before destroying it.

[Source]

        # File lib/sequel/plugins/optimistic_locking.rb, line 50
    50:         def before_destroy
    51:           lock_column_instance_filter
    52:           super
    53:         end

before_update()

Add the lock column instance filter to the object before updating it.

[Source]

        # File lib/sequel/plugins/optimistic_locking.rb, line 56
    56:         def before_update
    57:           lock_column_instance_filter
    58:           super
    59:         end

[Validate]